function [A, fz] = calculate_derivatives(f,v)

fz = feval(f,v);
nv = length(v);
delta = 1e-5;
for j=1:nv
    vold = v(j);
    v(j) = vold+delta;
    fp = feval(f,v);
    v(j) = vold-delta;
    fn = feval(f,v);
    A(:,j)=(fp-fn)/(2*delta);
    v(j)=vold;
end
    