function f = apochromat(v)

global cv th rn;
wvl = [ 0.48613 0.58756 0.65627 ];
power = get_powers(cv,rn);
cv(2:3) = lens_shape(power(1),v(1),rn(2,2));
cv(4:5) = lens_shape(power(2),v(2),rn(2,4));
cv(6:7) = lens_shape(power(3),v(3),rn(2,6));
yap = 50/8;
uco = tan(2.0*pi/180);
f = zeros(3,1);
for k=1:3
    ya = parax([yap 0],cv,th,rn(k,:));
    yc = parax([0 uco],cv,th,rn(k,:));
    w = ford(ya,yc,cv,th,rn(k,:),wvl(k));
    f(k) = w(1);
%     if k==2
%         f(4) = w(2);
%     end
end
f(2) = f(2) - f(1);
f(3) = f(3) - f(1);

