function show_progress(hp)
% optimization progress plot


sigma = hp(:,1);
damp = hp(:,2);

n = length(sigma);n = length(sigma);
k = (1:n)-1;
subplot(2,1,1);
if n<20
    %plot(k,log10(sigma),'ko-','LineWidth',2);
    semilogy(k,sigma,'ko-','LineWidth',2);
else
    semilogy(k,sigma,'k','LineWidth',2);
end
grid;
xlabel('iteration');
ylabel('merit value');
subplot(2,1,2);
if n<20
    plot(k(2:n),damp(2:n),'ko-',0,0,'LineWidth',2);
else
    plot(k(2:n),damp(2:n),'k',0,1.1,'LineWidth',2);
end
grid;
xlabel('iteration');
ylabel('damping');
